<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="OpenOrPendingServiceRequests"
   BindingStyle="OracleName"
   CustomQuery="true"
   ComponentClass="oracle.srdemo.model.frameworkExt.SRViewObjectImpl"
   FetchMode="FETCH_AS_NEEDED"
   UseGlueCode="false" >
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="3fd195e8-010a-1000-80ae-8d9088295bcf::::ViewObject" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
   <SQLQuery><![CDATA[
SELECT 
    SERVICE_REQUESTS.SVR_ID, 
    SERVICE_REQUESTS.ASSIGNED_TO, 
    SERVICE_REQUESTS.STATUS, 
    SERVICE_REQUESTS.PROBLEM_DESCRIPTION, 
    SERVICE_REQUESTS.REQUEST_DATE  
FROM 
    SERVICE_REQUESTS
WHERE STATUS IN ('Open','Pending')
ORDER BY REQUEST_DATE DESC
   ]]></SQLQuery>
   <DesignTime>
      <Attr Name="_isExpertMode" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_objectSuperClassName" Value="oracle.srdemo.model.frameworkExt.SRViewObjectImpl" />
      <Attr Name="_codeGenFlag2" Value="Access|VarAccess" />
   </DesignTime>
   <ViewAttribute
      Name="SvrId"
      IsUpdateable="false"
      IsPersistent="false"
      IsNotNull="true"
      Type="oracle.jbo.domain.Number"
      ColumnType="NUMBER"
      AliasName="SVR_ID"
      Expression="SVR_ID"
      SQLType="NUMERIC" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd195f2-010a-1000-80af-8d9088295bcf::queries.OpenOrPendingServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="22" />
      </DesignTime>
   </ViewAttribute>
   <ViewAttribute
      Name="AssignedTo"
      IsPersistent="false"
      Precision="8"
      Scale="0"
      Type="oracle.jbo.domain.Number"
      ColumnType="NUMBER"
      AliasName="ASSIGNED_TO"
      Expression="ASSIGNED_TO"
      SQLType="NUMERIC" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd195f2-010a-1000-80b0-8d9088295bcf::queries.OpenOrPendingServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="22" />
      </DesignTime>
   </ViewAttribute>
   <ViewAttribute
      Name="Status"
      IsUpdateable="false"
      IsPersistent="false"
      IsNotNull="true"
      Precision="20"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      AliasName="STATUS"
      Expression="STATUS"
      SQLType="VARCHAR" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd195f2-010a-1000-80b1-8d9088295bcf::queries.OpenOrPendingServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="20" />
      </DesignTime>
   </ViewAttribute>
   <ViewAttribute
      Name="ProblemDescription"
      IsUpdateable="false"
      IsPersistent="false"
      IsNotNull="true"
      Precision="255"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      AliasName="PROBLEM_DESCRIPTION"
      Expression="PROBLEM_DESCRIPTION"
      SQLType="VARCHAR" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd195f2-010a-1000-80b2-8d9088295bcf::queries.OpenOrPendingServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="4000" />
      </DesignTime>
   </ViewAttribute>
   <ViewAttribute
      Name="RequestDate"
      IsPersistent="false"
      IsNotNull="true"
      Type="oracle.jbo.domain.Date"
      ColumnType="TIMESTAMP"
      AliasName="REQUEST_DATE"
      Expression="REQUEST_DATE"
      SQLType="DATE" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd195f2-010a-1000-80b3-8d9088295bcf::queries.OpenOrPendingServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="11" />
      </DesignTime>
   </ViewAttribute>
   <AttrArray Name="KeyAttributes">
      <Item Value="SvrId" />
   </AttrArray>
   <ViewLinkAccessor
      Name="ServiceHistories"
      ViewLink="oracle.srdemo.model.queries.viewlinks.ServiceHistoriesForOpenRequests"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </ViewLinkAccessor>
</ViewObject>
